Skip to main content
DELETE
/
v1
/
aggregators
/
{raast-aggregator-id}
/
merchants
/
{aggregator-merchant-id}
Delete Merchant
curl --request DELETE \
  --url https://api.getsafepay.com/raastwire/v1/aggregators/{raast-aggregator-id}/merchants/{aggregator-merchant-id} \
  --header 'X-SFPY-AGGREGATOR-SECRET-KEY: <api-key>'
{
  "api_version": "v1",
  "data": {}
}

Authorizations

X-SFPY-AGGREGATOR-SECRET-KEY
string
header
required

Path Parameters

raast-aggregator-id
string
required

The unique identifier for the aggregator

Example:

"agg_2288490a-2176-4de5-b373-0ffb6f8e2e6e"

aggregator-merchant-id
string
required

The unique identifier for the merchant

Example:

"am_be454a50-7612-4dc6-a97e-284ebbe7ae93"

Response

Successful operation

Standard response structure for successful operations

api_version
string

The current version of the API spec

Example:

"v1"

data
object

Empty payload structure returned for successful operations without additional data

Example:
{}